# Charts based on jFreeChart package. Example I 
# S.Chekanov
from java.awt import Color
from java.awt import Font
from java.util import Random
from jhplot  import *
from math  import sqrt

c1 = HChart("Canvas",600,600, 2, 2)
c1.setGTitle("Chart examples")
c1.cd(1,1)
c1.visible()


c1.setChartPie()
c1.setName("Pie example")
c1.valuePie("Hamburg",1.0)
c1.valuePie("London",2.0)
c1.valuePie("Paris",1.0)
c1.valuePie("Bern",1.0)
c1.update()


# new plot
c1.cd(2,1)
c1.setChartPie3D()
c1.setName("3D Pie example")
c1.valuePie3D("Berlin",30.0)
c1.valuePie3D("Madrid",20.0)
c1.valuePie3D("Munich",12.0)
c1.update()




c1.cd(1,2)
c1.setChartXY()
c1.setName("XY example")
p1= P1D("test 1")
p2= P1D("test 2")

# fill
rand = Random() 
for i in range(10):
      x=4.0*i # x-value
      p1.add(i*4, 10.0*rand.nextGaussian());
      p2.add(i*2, 5.0*rand.nextGaussian());  

c1.draw(p1)
c1.draw(p2)


# new plot
c1.cd(2,2)
c1.setChartBar()
c1.setName("Bar example")
c1.valueBar(1.0, "First", "category1");
c1.valueBar(4.0, "Second", "category2");
c1.valueBar(3.0, "Third",   "category3");
c1.update()


# export to some image (png,eps,pdf,jpeg...)
# c1.export(Editor.DocMasterName()+".png")


