# Charts based on jFreeChart package. Example II
# S.Chekanov
from java.awt import Color
from java.awt import Font
from java.util import Random
from jhplot  import *
from math  import sqrt

c1 = HChart("Canvas",600,400, 2, 1)
c1.setGTitle("Chart examples")
c1.visible()


# new plot
c1.cd(1,1)
c1.setChartLine()
c1.setName("Line example")
c1.valueLine(1.0, "First", "category1");
c1.valueLine(2.0, "First", "category2");
c1.valueLine(10.0, "First", "category3");
c1.valueLine(8.0, "First", "category3");

c1.valueLine(3.0, "Second", "category1");
c1.valueLine(2.8, "Second", "category2");
c1.valueLine(4.0, "Second", "category3");
c1.valueLine(1.0, "Second", "category3");
c1.update()



# new plot. Fill a  histogram
h1=[]
rand = Random()
for i in range(1000):
      h1.append(rand.nextGaussian())

c1.cd(2,1)
c1.setChartHistogram()
c1.setName("Histogram example")
c1.valueHistogram(h1,"example",40,-10.0,10.0)
c1.setRange(0,-10,10)
c1.setRange(1,0,300)
c1.update()




# export to some image (png,eps,pdf,jpeg...)
# c1.export(Editor.DocMasterName()+".png")


