# H2D histogram II. Show in 3D
# S.Chekanov
from jhplot  import HPlot3D
from jhplot  import H2D
from java.util import Random

c1 = HPlot3D("Canvas",600,400)
c1.setNameX("&alpha; &beta; &gamma;")
c1.setNameY("Y^{test}")
c1.setContour()
c1.visible(1)


h1 = H2D("My 2D Test",15,-2.0, 2.0, 15, -3.0, 3.0)
rand = Random()
for i in range(2000):
               h1.fill(0.4*rand.nextGaussian(),rand.nextGaussian())
c1.draw(h1)

# export to some image (png,eps,pdf,jpeg...)
# c1.export(Editor.DocMasterName()+".png")
